Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink
Class HTTPSessionImpl

    java.lang.Object
      org.semanticweb.owlapi.owllink.HTTPSessionImpl

All Implemented Interfaces:
  HTTPSession

    public class HTTPSessionImpl

extends java.lang.Object
implements HTTPSession

Author:
  Olaf Noppens

Field Summary
`static boolean` | `log` Deprecated. Use DIGReasonerPreferences to set logging

Constructor Summary
`HTTPSessionImpl(OWLOntologyManager manager, PrefixManagerProvider prov)`
`HTTPSessionImpl(OWLOntologyManager manaager, java.net.URL reasonerURL, PrefixManagerProvider prov)`

Method Summary
`java.lang.String` | `getReasonerURL()` Gets the URL of the reasoner.
`ResponseMessage` | `performRequests(Request... request)`
`void` | `setReasonerURL(java.net.URL url)` Sets the URL of the inference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static boolean log

  Deprecated. Use DIGReasonerPreferences to set logging

Constructor Detail

### HTTPSessionImpl

    public HTTPSessionImpl(OWLOntologyManager manager,
                           PrefixManagerProvider prov)
                    throws java.net.MalformedURLException

Throws:
  `java.net.MalformedURLException`

### HTTPSessionImpl

    public HTTPSessionImpl(OWLOntologyManager manaager,
                           java.net.URL reasonerURL,
                           PrefixManagerProvider prov)

Method Detail

### setReasonerURL

    public void setReasonerURL(java.net.URL url)

  Sets the URL of the inference.

  Parameters:
    `url` - The URL

### getReasonerURL

    public java.lang.String getReasonerURL()

  Gets the URL of the reasoner.

### performRequests

    public ResponseMessage performRequests(Request... request)
                                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD